任务单 #4732

jquest.txt の問題
开放日期: 2004-07-26 17:43 最后更新: 2004-08-01 01:39

报告人:
(匿名)
属主:
类型:
状态:
关闭
组件:
(无)
里程碑:
(无)
优先:
5 - Medium
严重性:
5 - Medium
处理结果:
Fixed
文件:
1

Details

ドレッチに特定の罵倒をされると、以下のようにメッセージ
の前に「t?"」というゴミが付加されてしまいます。(ドレッ
チを何体か呼び出して罵倒させていると、簡単に再現可能)

----------
馬並クンのドレッチへの攻撃は外れた. t?"
「見る限りでは,向こうにある己の屍に無関心なようだが,
実際はどうなのだ?こわっぱ」 ジャッカルは噛みつい
た! [2 pts.]
----------

どうやら、util/makedefs.c の do_questtxt() 中に 80 桁固
定でメッセージを切っているところがあり、まず 80 で切っ
てから、その後でコメント処理をしているので、80 桁を越え
たコメント部分が通常の文章として、次の行と一緒に処理さ
れてしまうようです。(そのような理由からか、英文の
quest.txt の方では 80 桁を越える行はないようです)

このせいで、最後の t?" の部分が次の行とくっついて表示さ
れてしまっています。

dat/jquest.txt 中で該当する箇所を修正してみましたので、
パッチを添付したします。実際には、コメント行が 80 桁を
越えていなければ、ゲーム中の表示では問題にならないはず
ですが、一応該当箇所は修正してみました。

任务单历史 (3/5 Histories)

2004-07-26 17:43 Updated by: None
  • File 1044: jquest.diff is attached
2004-07-26 23:52 Updated by: so-miya
  • 处理结果 Update from to Accepted
  • 属主 Update from (无) to so-miya
  • 优先 Update from 5 - Medium to 6
评论
Logged In: YES
user_id=1624

ありがとうございます。
ご報告を確認しました。
2004-07-27 23:52 Updated by: so-miya
  • 处理结果 Update from Accepted to Fixed
评论
Logged In: YES
user_id=1624

提供していただいたパッチを適用させていただきました。
2004-08-01 01:39 Updated by: so-miya
  • Ticket Close date is changed to 2004-08-01 01:39
  • 优先 Update from 6 to 5 - Medium
  • 状态 Update from 开启 to 关闭
2004-08-01 01:39 Updated by: so-miya
评论
Logged In: YES
user_id=1624

最新リリースにて対応したため、閉じます。

Attachment File List

  • jquest.diff(2KB)
    • jquest.txt の長い行に対するパッチ

编辑

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » 登录名